%define version	1.6.2

%define major		1
%define libname		%mklibname va %{major}
%define develname	%mklibname va -d

%define compat_major	0
%define compat_libname	%mklibname va-compat %{compat_major}

Name:		libva
Version:	%version
Release:	%mkrel 2
Summary:	Video Acceleration (VA) API for Linux
Group:		System/Libraries
License:	MIT
URL:		http://cgit.freedesktop.org/vaapi/libva/
Source0:	http://cgit.freedesktop.org/vaapi/libva//%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libtool
BuildRequires:	libxext-devel
BuildRequires:	libxfixes-devel
BuildRequires:	libdrm-devel
BuildRequires:	GL-devel

%description
Libva is a library providing the VA API video acceleration API.

%package -n %{name}-tools
Summary:	VA-API information tool
Group:		Video
Conflicts:	libva < 0.31.1
Obsoletes:	libva-test < 0.31.1

%description -n %{name}-tools
Libva is a library providing the VA API video acceleration API.
This packages provides the vainfo tool showing VA-API information.

%package -n %{name}-driver
Summary:	VA-API driver for Intel i965
Group:		System/Kernel and hardware
Obsoletes:	libva < 0.31.1

%description -n %{name}-driver
Intel integrated G45 graphics chips driver for VA API, a video
acceleration API.

%package -n %{libname}
Summary:	Shared library for %{name}
Group:		System/Libraries

%description -n %{libname}
Libva is a library providing the VA API video acceleration API.

%package -n %{compat_libname}
Summary:	Shared library for %{name}-compat
Group:		System/Libraries
Conflicts:	%{_lib}va1 < 0.31.1

%description -n %{compat_libname}
Libva is a library providing the VA API video acceleration API.
This package provides a compatilibity layer for old %{name}.

%package -n %{develname}
Summary:	Development headers for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Requires:	%{compat_libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Libva is a library providing the VA API video acceleration API. This
package contains libraries and header files for developing applications
that use %{name}.

%prep
%setup -q -n %{name}-%{version}


%build
%configure2_5x --disable-static --enable-glx

%make

%install
rm -rf %{buildroot}
%makeinstall_std

# this is a compatibility name for some older apps which don't use the
# newer soname
echo ".text"|gcc -xassembler - -o %{buildroot}%{_libdir}/libva.so.0.0 -shared -Wl,-soname,libva.so.0 -Wl,-z,noexecstack -L%{buildroot}%{_libdir} -lva-x11
ln -s libva.so.0.0 %{buildroot}%{_libdir}/libva.so.0

find %{buildroot} -regex ".*\.la$" | xargs rm -f --


%clean
rm -rf %{buildroot}

%files -n %{name}-tools
%defattr(-,root,root,-)
%{_bindir}/jpegenc
%{_bindir}/vainfo
%{_bindir}/avcenc
%{_bindir}/h264encode
%{_bindir}/loadjpeg
%{_bindir}/mpeg2vldemo
%{_bindir}/putsurface
%{_bindir}/mpeg2vaenc
%{_bindir}/putsurface_wayland

%files -n %{name}-driver
%defattr(-,root,root,-)
%{_libdir}/dri/dummy_drv_video.so

%files -n %{libname}
%defattr(-,root,root,-)
%{_libdir}/%{name}.so.%{major}*
%{_libdir}/%{name}-glx.so.%{major}*
%{_libdir}/%{name}-tpi.so.%{major}*
%{_libdir}/%{name}-x11.so.%{major}*
%{_libdir}/%{name}-drm.so.%{major}*
%{_libdir}/%{name}-egl.so.%{major}*
%{_libdir}/%{name}-wayland.so.%{major}*

%files -n %{compat_libname}
%defattr(-,root,root,-)
%{_libdir}/%{name}.so.%{compat_major}*


%files -n %{develname}
%defattr(-,root,root,-)
%{_includedir}/va
%{_libdir}/%{name}*.so
%{_libdir}/pkgconfig/%{name}*.pc


%changelog
* Sat Jan 02 2016 bb <bb> 1.6.2-1pclos2016
- update

* Wed Oct 14 2015 bb <bb> 1.6.1-2pclos2015
- rebuild for updates

* Fri Oct 09 2015 bb <bb> 1.6.1-1pclos2015
- update

